# $Revision: 1.11 $, $Date: 2004/04/26 19:02:10 $
Summary:	Squirm - A Squid Web Cache Redirector
Summary(pl):	Squirm - przekierowywacz dla Squida
Name:		squirm
Version:	1.23
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://squirm.foote.com.au/%{name}-%{version}.tgz
# Source0-md5:	aedcaab22ca3ae0c8440bd0ef9d6e75e
Patch0:		%{name}-Makefile-paths.patch
URL:		http://squirm.foote.com.au/
Requires:	squid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/squid

%description
Squirm is a fast & configurable redirector for the Squid Internet
Object Cache. It requires the GNU Regex Library (now included in the
Squirm source), and of course, a working Squid. It is available free
under the terms of the GNU GPL.

Squirm has the following features:
- Very, very fast
- Virtually no memory usage
- It can re-read it's config files while running by sending it a HUP
  signal
- Interactive test mode for checking new configs
- Full regular expression matching and replacement
- Config files for patterns and IP addresses.
- If you mess up the config file, Squirm runs in Dodo Mode so your
  squid keeps working :-)

%description -l pl
Squirm jest szybkim i konfigurowalnym narzdziem do przekierowywania
dla Squida (serwera proxy-cache). Wymaga biblioteki GNU Regex
(doczonej do rde) oraz oczywicie dziaajcego Squida.

Ma nastpujce moliwoci:
- bardzo dua szybko
- prawie zerowe zuycie pamici
- moliwo ponownego przeczytania konfiguracji w trakcie dziaania
  przez wysanie SIGHUP
- interaktywny tryb testowy do sprawdzania nowych konfiguracji
- pene dopasowywanie i podstawianie z uyciem wyrae regularnych
- pliki konfiguracyjne dla wzorcw i adresw IP
- przy zepsutym pliku konfiguracyjnym Squirm dziaa w trybie Dodo, a
  Squid dziaa nadal.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags} -funroll-loops -DPREFIX=\\\"/\\\""

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

install squirm			$RPM_BUILD_ROOT%{_bindir}
install	squirm.conf.dist	$RPM_BUILD_ROOT%{_sysconfdir}/squirm.conf
install	squirm.patterns.dist	$RPM_BUILD_ROOT%{_sysconfdir}/squirm.patterns


%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%attr(640,root,squid) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirm.spec,v $
Revision 1.11  2004/04/26 19:02:10  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.10  2003/05/28 13:02:02  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/29 22:46:42  ankry
- massive attack: new %%doc

Revision 1.7  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/18 12:35:36  qboosh
- pl translations; release 2

Revision 1.3  2001/08/10 12:11:48  kloczek
- cosmetics and cleanups.

Revision 1.2  2001/07/27 16:34:10  waszi
- fixes

Revision 1.1  2001/07/27 16:21:00  waszi
- initial release
